aboutsummaryrefslogtreecommitdiffstats
path: root/testing/thttpd/thttpd.initd
diff options
context:
space:
mode:
authorz3bra <willy@mailoo.org>2014-10-22 17:35:04 +0200
committerz3bra <willy@mailoo.org>2014-10-22 17:35:04 +0200
commit5b11fa3aaf8a3d8fa25fe30ea370f8a8f8dfbf3d (patch)
treef9b48f2186125990c8b20657bb63445ddcc436ba /testing/thttpd/thttpd.initd
parentd5babbb8ef86ae55b002de1d4383a5a684f22e29 (diff)
downloadaports-5b11fa3aaf8a3d8fa25fe30ea370f8a8f8dfbf3d.tar.bz2
aports-5b11fa3aaf8a3d8fa25fe30ea370f8a8f8dfbf3d.tar.xz
testing/thttpd: new aport
Diffstat (limited to 'testing/thttpd/thttpd.initd')
-rw-r--r--testing/thttpd/thttpd.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/thttpd/thttpd.initd b/testing/thttpd/thttpd.initd
new file mode 100644
index 0000000000..bd869489ee
--- /dev/null
+++ b/testing/thttpd/thttpd.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+
+# init.d file for thttpd
+
+name=thttpd
+daemon=/usr/sbin/$name
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${name}"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/${name}.pid \
+ --exec ${daemon} -- ${sample_opts}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/$name.pid \
+ --exec ${daemon}
+ eend $?
+}
+